summaryrefslogtreecommitdiffstats
path: root/tests/integration/deckard/knotd_slave_run.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/integration/deckard/knotd_slave_run.sh')
-rwxr-xr-xtests/integration/deckard/knotd_slave_run.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/integration/deckard/knotd_slave_run.sh b/tests/integration/deckard/knotd_slave_run.sh
new file mode 100755
index 0000000..239cef1
--- /dev/null
+++ b/tests/integration/deckard/knotd_slave_run.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -o errexit -o nounset
+
+echo 'INFO: Tests require Knot compiled with ./configure --enable-recvmmsg=no'
+RUNDIR="$(dirname "$0")"
+cd "$RUNDIR" && ./run.sh --config configs/knotd_slave.yaml "$@"